에케의 그저그런공간

Choosing your SDK - SDK 선택 본문

한국어 설명서/VRChat 한국어 설명서

Choosing your SDK - SDK 선택

에케 2021. 7. 17. 19:59

본 게시글은 공식 한글 번역본이 아니며 오역 및 의역이 다수 있을 수 있습니다.

원문 : https://docs.vrchat.com/docs/choosing-your-sdk

 

Choosing your SDK

Choose wisely.

docs.vrchat.com

SDK 선택

VRChat은 3개의 SDK(소프트웨어 개발 키트)를 사용할 수 있습니다. 이러한 키트는 Unity Editor로 가져와 VRChat에 대한 컨텐츠 생성을 지원하는 패키지입니다. 그들은 콘텐츠를 VRChat에 업로드할 수 있게 해줍니다.


이 모든 SDK는 우리 웹사이트에서 이용할 수 있습니다.

 

이 페이지는 사용 사례에 맞는 올바른 버전을 선택하는 데 도움이 됩니다.

 

VRChat SDK2와 VRChat SDK3 간의 마이그레이션은 지원되지 않습니다.

VRCSDK2 컨텐츠가 있고 VRCSDK3으로 이동하거나 그 반대로 이동하려는 경우 "스크래치"에서 시작하는 것이 가장 좋습니다. assets을 새 프로젝트로 가져온 다음 모든 VRChat 기능을 다시 추가해야 합니다. SDK 구성 요소는 마이그레이션되지 않습니다.

VRCSDK3은 업그레이드가 아닙니다. VRChat SDK3은 완전히 새로운 SDK입니다.

❗️ 님아, 그 강을 건너지 마시오!
VRCSDK3 및 VRCSDK2를 동일한 프로젝트로 가져오지 마십시오! 호환되지 않으며 프로젝트가 중단되거나 예기치 않은 결과가 발생합니다.

VRChat SDK3 (VRCSDK3)

최신 SDK는 VRChat SDK3입니다. SDK3는 두 가지 "맛"이 있습니다. 하나는 아바타용이고 다른 하나는 월드용입니다.
VRCSDK3-Avatars 패키지는 전체 사용자 지정이 가능한 기본 및 고급 아바타를 모두 생성할 수 있는 최신 아바타 프레임워크인 Avatar 3.0과 함께 제공됩니다. 자세한 내용은 Avatar 3.0을 참조하십시오.

VRCSDK3-World에는 고급 작업을 프로그래밍할 수 있는 VRChat Udon이 미리 패키징되어 제공됩니다. 우동에 대한 자세한 내용은 이 설명서에서 우동 섹션을 참조하십시오.

둘 다 동일한 프로젝트로 가져올 수 있습니다. SDK3 스테이션을 사용하는 경우 둘 다 가져와야 사용자 지정 스테이션 애니메이터의 애니메이터 상태 동작에 액세스할 수 있습니다.

우동을 사용하고 싶으시거나, 저희 아바타 3.0 시스템으로 아바타를 만들고 싶다면 SDK3을 사용해야 합니다.

VRChat SDK2 (VRCSDK2)

🚧 사용되지 않음
VRCSDK2는 새로 제작시 더이상 사용되지 않는 것으로 간주됩니다. VRCSDK3-Worlds 또는 VRCSDK3-Avatar에서 사용할 수 있는 대부분의 새 기능을 수신하지 않습니다. 여전히 중요한 보안 및 유지 관리 패치를 받게 됩니다.
새 컨텐츠를 생성하는 경우 VRCSDK3을 사용하는 것이 좋습니다.

 

VRChat SDK2(VRCSDK2)는 기존 SDK이며 SDK2는 World의 프로그래밍 동작을 위해 Actions 및 Trigger를 사용합니다.

 

다음과 같은 경우 VRCSDK2를 사용하십시오.
  - 이전 "Avatars 2.0" 아바타를 유지하거나
  - Actions 및 Trigger을 사용하는 월드를 유지 관리하는 경우


참고: VRChat 2019.3.2p3 이하에서 사용되는 VRChat SDK를 "VRCSDK2"라고 하는 컨텐츠 작성자 또는 설명서가 있을 수 있습니다. 이 이전 버전은 "VRCSDK"라는 레이블이 지정되었지만 실제로는 VRCSDK2였습니다. 이제 이렇게 이름이 지정되어 있습니다. 이 때문에 이전 Unity 2017 프로젝트를 VRCSDK2로 마이그레이션하는 것은 가능합니다. 하지만 VRCSDK3으로의 마이그레이션은 지원되지 않습니다. 위를 보세요.

0 Comments
댓글쓰기 폼